﻿Type=Activity
Version=3
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	
	'Put a label on the activity to know which one shows
	Dim l As Label 
	l.Initialize("")
	l.Text = "NotificationAction Activity"
	Activity.AddView(l,50dip,50dip,200dip,100dip) 

End Sub

Sub Activity_Resume
	
	Dim In As Intent
	Dim intentExtra As String

	In = Activity.GetStartingIntent
	
	If In.HasExtra("TEST") Then
		intentExtra = In.GetExtra("TEST")
		Log(intentExtra)

		Dim cn As CustomNotificationBasic
		
		'Dont know why but when the setCustom view is called again, the bitmap won't update after 70-80+ updates
		'This seems to fix the issue
		cn.setCustomView(Main.n)
		
		'Based on the itent extra information, use the right images to show selection
		Select Case intentExtra
			Case "TST1"
				cn.setImage(Main.n,"image1",Main.img01)
				cn.setImage(Main.n,"image2",Main.img10)
				cn.setImage(Main.n,"image3",Main.img20)
				'Update notification icon
				cn.setImage(Main.n,"image",LoadBitmap(File.DirAssets,"Green.png")) 
				Main.n.icon = "green"
			Case "TST2"
				cn.setImage(Main.n,"image1",Main.img00)
				cn.setImage(Main.n,"image2",Main.img11)
				cn.setImage(Main.n,"image3",Main.img20)
				'Update notification icon
				cn.setImage(Main.n,"image",LoadBitmap(File.DirAssets,"Red.png")) 
				Main.n.icon = "red"
			Case "TST3"
				cn.setImage(Main.n,"image1",Main.img00)
				cn.setImage(Main.n,"image2",Main.img10)
				cn.setImage(Main.n,"image3",Main.img21)
				'Update notification icon
				cn.setImage(Main.n,"image",LoadBitmap(File.DirAssets,"Yellow.png")) 
				Main.n.icon = "yellow"
			Case "TST4"
				'This option will toggle independently from the others
				If Main.isToggled = True Then
					cn.setImage(Main.n,"image4",Main.img31) 'Selected
				Else
					cn.setImage(Main.n,"image4",Main.img30)
				End If
				Main.isToggled = Not (Main.isToggled)
		End Select
		
		Main.n.Notify(1)
		'Activity.Finish 
	Else
		Log("No Extra")
	End If
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

