﻿Type=Service
Version=3
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
End Sub
Sub Service_Create
	
End Sub

Sub Service_Start (StartingIntent As Intent)

	Dim In As Intent
	Dim intentExtra As String

	In = StartingIntent
	
	If In.HasExtra("TEST") Then
		intentExtra = In.GetExtra("TEST")
		Log(intentExtra)

		Dim cn As CustomNotificationBasic

		'Dont know why but when the setCustom view is called again, the bitmap won't update after 70-80+ updates
		'This seems to fix the issue
		cn.setCustomView(Main.n)

		'Based on the itent extra information, use the right images to show selection
		Select Case intentExtra
			Case "TST1"
				cn.setImage(Main.n,"image1",Main.img01)
				cn.setImage(Main.n,"image2",Main.img10)
				cn.setImage(Main.n,"image3",Main.img20)
				'Update notification icon
				cn.setImage(Main.n,"image",LoadBitmap(File.DirAssets,"Green.png")) 
				Main.n.icon = "green"
			Case "TST2"
				cn.setImage(Main.n,"image1",Main.img00)
				cn.setImage(Main.n,"image2",Main.img11)
				cn.setImage(Main.n,"image3",Main.img20)
				'Update notification icon
				cn.setImage(Main.n,"image",LoadBitmap(File.DirAssets,"Red.png")) 
				Main.n.icon = "red"
			Case "TST3"
				cn.setImage(Main.n,"image1",Main.img00)
				cn.setImage(Main.n,"image2",Main.img10)
				cn.setImage(Main.n,"image3",Main.img21)
				'Update notification icon
				cn.setImage(Main.n,"image",LoadBitmap(File.DirAssets,"Yellow.png")) 
				Main.n.icon = "yellow"
			Case "TST4"
				If Main.isToggled = True Then
					cn.setImage(Main.n,"image4",Main.img31)
				Else
					cn.setImage(Main.n,"image4",Main.img30)
				End If
				Main.isToggled = Not (Main.isToggled)
		End Select
		
		Main.n.Notify(1)
	
	Else
		Log("No Extra")
	End If

End Sub

Sub Service_Destroy

End Sub
